import dynamix_sdk.base as _base
from dynamix_sdk.api import _nested


class CloudapiComputeAffinityRelationsResultModel(
    _base.BaseAPIResultModel,
    _nested.AffinityRelationsAPIResultNM,
):
    pass


class CloudapiComputeAffinityRelationsProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def affinity_relations(
        self,
        *,
        vm_id: int,
    ) -> CloudapiComputeAffinityRelationsResultModel:
        ...
